# -*- rpm-spec -*-
# $Id: tcl-cost,v 1.3 2002/10/07 14:05:22 lioka Exp $

%define teaname cost
%define SubVer p1

Name: tcl-%teaname
Version: 2.2
Release: alt2.%{SubVer}

Summary: Tcl extension for SGML/XML
Summary(ru_RU.CP1251):  Tcl    SGML/XML
License: Joe English, see LICENSE in doc
Group: Development/Tcl
Url: http://www.flightlab.com/cost/

Source: cost-%version%SubVer.tar.gz

BuildPreReq: tcl-devel >= 8.4.0-alt1
Provides: %teaname = %version-%release
Obsoletes: %teaname

%description
Cost is a structure-controlled SGML/XML application programming tool.  
It is implemented as a Tcl extension, and works in conjunction 
with James Clark\'s nsgmls, sgmls, and/or expat parsers.

%description -l ru_RU.CP1251
Cost      SGML/XML.     
  Tcl,       nsgmls, sgmls / 
expat,  James Clark.

%prep
%setup -q -n %teaname-%version%SubVer

%build
%add_optflags -DUSE_NON_CONST -DPKGDIR=%_tcldatadir/%teaname%version
cd src
%configure --with-tcl=%_libdir
%__make package

%install
%__mkdir_p %buildroot{%_tcllibdir,%_tcldatadir/%teaname%version}
%__install -m 0755 src/lib%teaname%version.so %buildroot%_tcllibdir
%__install -m 0644 lib/*.{tcl,itcl,spec} %buildroot%_tcldatadir/%teaname%version
%__subst 's|\(\$dir \)\(libcost.\+$\)|\1.. .. .. lib tcl \2|' \
	%buildroot%_tcldatadir/%teaname%version/pkgIndex.tcl

%files
%doc ACKNOWLEDGMENTS BUGS CHANGELOG cost.README INSTALL LICENSE TODO VERSION 
%doc doc/simple.html doc/manual.html doc/manual.ps doc/rtflib.html
%_tcllibdir/*
%_tcldatadir/%teaname%version

%changelog
* Mon Oct  7 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.2-alt2.p1
- rebuilt with tcl 8.4
- custom statically linked shells dropped

* Fri Aug 23 2002 Ott Alex <ott@altlinux.ru> 2.2-alt2.p1
- Cleaning spec-file

* Wed Aug 21 2002 Ott Alex <ott@altlinux.ru> 2.2-alt1.p1
- Initial build

